/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
04/2016 - ARDUINO IDE C

This program demonstrates how Arduino IDE can be used to program the Brainbox Arduino - based on the Arduino Leonardo
This program makes minimal use of the Arduino libraries. This brings you closer to real embedded programming.

The Pinout diagram of the BBA (www.e2cre8.be) visualizes the relation between the Arduino pin names and the real pin names

THis program generates a siren sound at pin E6 (pin 7) - this pin is connected to a buzzer on the BBA

These programs are used in school environments and the C code is kept low level for that reason

 */

void setup() {
  // put your setup code here, to run once:
DDRE = 0b01000000; // pin E6  (ARduino pin 7) connected to buzzer = output pin
}

void loop() {
  // put your main code here, to run repeatedly:
    for (int x = 250; x>0; x=x-1) // repeat the next 4 instructions 250 times (250 x 2msec = 0.5sec)
      {
      PORTE = 0b01000000;     // make pin E6 high
      _delay_ms(1);       //wait
      PORTE = 0b00000000;     // make pin E6 low
      _delay_ms(1);       //wait
      }
      
    for (int x = 500; x>0; x=x-1) // repeat the next 4 instructions 500 times (2500 x 1msec = 0.5sec)
      {
        PORTE = 0b01000000;     // make pin E6 high
        _delay_us(500);       //wait
        PORTE = 0b00000000;     // make pin E6 low
        _delay_us(500);       //wait
      }
}
